=== innd/Makefile ===
##  $Revision: 1.33 $
SHELL	= /bin/sh
MAKE	= make
DESTDIR	=
D	= $(DESTDIR)
##  =()<P	= @<P>@>()=
P	= 

##  =()<CC	= @<CC>@>()=
CC	= gcc
##  =()<PERLLIB = @<PERL_LIB>@>()=
PERLLIB = 
##  =()<PERLINC = @<PERL_INC>@>()=
PERLINC = 
##  =()<TCLINC	= @<TCL_INC>@>()=
TCLINC	= 
##  =()<DEFS	= @<DEFS>@ $(PERLINC) $(TCLINC)>()=
DEFS	= -I../include $(PERLINC) $(TCLINC)
##  =()<CFLAGS	= @<CFLAGS>@>()=
CFLAGS	= $(DEFS) -g
##  =()<LDFLAGS	= @<LDFLAGS>@>()=
LDFLAGS	= 
##  =()<LINTFLAGS	= @<LINTFLAGS>@ $(PERLINC) $(TCLINC)>()=
LINTFLAGS	= -b -h -z $(DEFS) $(PERLINC) $(TCLINC)
##  =()<LINTFILTER	= @<LINTFILTER>@>()=
LINTFILTER	= | sed -n -f ../sedf.sun
##  =()<CTAGS		= @<CTAGS>@>()=
CTAGS		= ctags -t -w
##  =()<PROF	= @<PROF>@>()=
PROF	= -pg

##  =()<INND	= @<_PATH_INND>@>()=
INND	= /usr/news/bin/innd
##  =()<INNDSTART	= @<_PATH_INNDSTART>@>()=
INNDSTART	= /usr/news/bin/inndstart
## =()<OWNER	= -O @<NEWSUSER>@ -G @<NEWSGROUP>@>()=
OWNER	= -O news -G news
## =()<NEWSGROUP	= @<NEWSGROUP>@>()=
NEWSGROUP	= news

##  =()<LIBS	= @<LIBS>@>()=
LIBS	= -lutil
LIBNEWS	= ../libinn.a
LINTLIB	= ../llib-linn.ln
## =()<TCL_LIB	= @<TCL_LIB>@>()=
TCL_LIB	= 

SOURCES	= \
	art.c cc.c chan.c his.c icd.c innd.c lc.c nc.c newsfeeds.c ng.c \
	proc.c rc.c site.c tcl.c perl.c

OBJECTS	= \
	art.o cc.o chan.o his.o icd.o innd.o lc.o nc.o newsfeeds.o ng.o \
	proc.o rc.o site.o tcl.o perl.o

ALL	= innd inndstart

all:		$(ALL)

install:	$D$(INND) $D$(INNDSTART)

clobber clean:
	rm -f *.o $(ALL)
	rm -f inndp profiled
	rm -f all install lint

tags ctags:	$(SOURCES)
	$(CTAGS) $(SOURCES) ../lib/*.c innd.h ../include/*.h

innd:		$(P) $(OBJECTS) $(LIBNEWS)
	$(CC) $(LDFLAGS) -o $@ $(OBJECTS) $(LIBNEWS) $(TCL_LIB) $(PERLLIB) $(LIBS)

inndstart:	$(P) inndstart.o $(LIBNEWS)
	$(CC) $(LDFLAGS) -o $@ inndstart.o $(LIBNEWS) $(LIBS)

lint:		$(ALL)
	@rm -f lint
	-lint $(LINTFLAGS) $(SOURCES)  $(LINTLIB) $(LINTFILTER)  >lint
	-lint $(LINTFLAGS) inndstart.c $(LINTLIB) $(LINTFILTER) >>lint

../include/dbz.h:
	(cd ../lib ; $(MAKE) ../include/dbz.h)
$(LIBNEWS) $(LINTLIB):
	(cd ../lib ; $(MAKE) install)

##  Profiling.  The rules are a bit brute-force, but good enough.
profiled:	inndp
	date >$@

inndp:		$(SOURCES)
	rm -f $(OBJECTS)
	$(MAKE) innd CFLAGS="$(CFLAGS) $(PROF)" LIBNEWS=../libinn_p.a
	mv innd inndp
	rm -f $(OBJECTS)

##
ccenter:	$(SOURCES)
	#load $(CFLAGS) $(SOURCES) $(LIBNEWS)

##  Low-level install actions.
$D$(INND):	innd
	$(SHELL) ../installit.sh $(OWNER) -m 0550 -b .OLD $? $@
$D$(INNDSTART):	inndstart
	$(SHELL) ../installit.sh -O root -G $(NEWSGROUP) -m 4550 -b .OLD $? $@
	@ME=`(whoami || /usr/ucb/whoami) 2> /dev/null` ;\
	if [ "X$$ME" = Xroot ]; then \
		echo $@ has been installed setuid root. ;\
	else\
		echo "" ; echo "===============================" ;\
		echo  "NOTE NOTE NOTE NOTE NOTE" ;\
		ls -l $@ ;\
		echo $@ needs to be installed setuid root ;\
		echo "" ; echo "" ;\
	fi

##  Dependencies.  Default list, below, is probably good enough.
depend:		Makefile $(SOURCES) ../include/dbz.h
	makedepend $(DEFS) $(SOURCES)

# DO NOT DELETE THIS LINE -- make depend depends on it.

art.o: ../include/clibrary.h
art.o: ../include/configdata.h
art.o: ../include/configdata.h
art.o: ../include/dbz.h
art.o: ../include/libinn.h
art.o: ../include/logging.h
art.o: ../include/macros.h
art.o: ../include/macros.h
art.o: ../include/nntp.h
art.o: ../include/paths.h
art.o: ../include/paths.h
art.o: art.h
art.o: innd.h
cc.o: ../include/clibrary.h
cc.o: ../include/configdata.h
cc.o: ../include/configdata.h
cc.o: ../include/inndcomm.h
cc.o: ../include/libinn.h
cc.o: ../include/logging.h
cc.o: ../include/macros.h
cc.o: ../include/macros.h
cc.o: ../include/nntp.h
cc.o: ../include/paths.h
cc.o: ../include/paths.h
cc.o: innd.h
chan.o: ../include/clibrary.h
chan.o: ../include/configdata.h
chan.o: ../include/configdata.h
chan.o: ../include/libinn.h
chan.o: ../include/libinn.h
chan.o: ../include/logging.h
chan.o: ../include/macros.h
chan.o: ../include/nntp.h
chan.o: ../include/nntp.h
chan.o: ../include/paths.h
chan.o: innd.h
his.o: ../include/clibrary.h
his.o: ../include/configdata.h
his.o: ../include/configdata.h
his.o: ../include/dbz.h
his.o: ../include/libinn.h
his.o: ../include/logging.h
his.o: ../include/macros.h
his.o: ../include/macros.h
his.o: ../include/nntp.h
his.o: ../include/paths.h
his.o: ../include/paths.h
his.o: innd.h
icd.o: ../include/clibrary.h
icd.o: ../include/configdata.h
icd.o: ../include/configdata.h
icd.o: ../include/libinn.h
icd.o: ../include/logging.h
icd.o: ../include/macros.h
icd.o: ../include/macros.h
icd.o: ../include/nntp.h
icd.o: ../include/paths.h
icd.o: ../include/paths.h
icd.o: innd.h
innd.o: ../include/clibrary.h
innd.o: ../include/configdata.h
innd.o: ../include/configdata.h
innd.o: ../include/libinn.h
innd.o: ../include/libinn.h
innd.o: ../include/logging.h
innd.o: ../include/macros.h
innd.o: ../include/nntp.h
innd.o: ../include/nntp.h
innd.o: ../include/paths.h
innd.o: innd.h
lc.o: ../include/clibrary.h
lc.o: ../include/configdata.h
lc.o: ../include/configdata.h
lc.o: ../include/libinn.h
lc.o: ../include/logging.h
lc.o: ../include/macros.h
lc.o: ../include/macros.h
lc.o: ../include/nntp.h
lc.o: ../include/paths.h
lc.o: ../include/paths.h
lc.o: innd.h
nc.o: ../include/clibrary.h
nc.o: ../include/configdata.h
nc.o: ../include/configdata.h
nc.o: ../include/dbz.h
nc.o: ../include/libinn.h
nc.o: ../include/logging.h
nc.o: ../include/macros.h
nc.o: ../include/macros.h
nc.o: ../include/nntp.h
nc.o: ../include/paths.h
nc.o: ../include/paths.h
nc.o: innd.h
newsfeeds.o: ../include/clibrary.h
newsfeeds.o: ../include/configdata.h
newsfeeds.o: ../include/configdata.h
newsfeeds.o: ../include/libinn.h
newsfeeds.o: ../include/libinn.h
newsfeeds.o: ../include/logging.h
newsfeeds.o: ../include/macros.h
newsfeeds.o: ../include/nntp.h
newsfeeds.o: ../include/nntp.h
newsfeeds.o: ../include/paths.h
newsfeeds.o: innd.h
ng.o: ../include/clibrary.h
ng.o: ../include/configdata.h
ng.o: ../include/configdata.h
ng.o: ../include/libinn.h
ng.o: ../include/logging.h
ng.o: ../include/macros.h
ng.o: ../include/macros.h
ng.o: ../include/mydir.h
ng.o: ../include/nntp.h
ng.o: ../include/paths.h
ng.o: ../include/paths.h
ng.o: innd.h
perl.o: ../include/clibrary.h
perl.o: ../include/configdata.h
perl.o: ../include/configdata.h
perl.o: ../include/libinn.h
perl.o: ../include/libinn.h
perl.o: ../include/logging.h
perl.o: ../include/macros.h
perl.o: ../include/nntp.h
perl.o: ../include/nntp.h
perl.o: ../include/paths.h
perl.o: art.h
perl.o: innd.h
proc.o: ../include/clibrary.h
proc.o: ../include/configdata.h
proc.o: ../include/configdata.h
proc.o: ../include/libinn.h
proc.o: ../include/libinn.h
proc.o: ../include/logging.h
proc.o: ../include/macros.h
proc.o: ../include/nntp.h
proc.o: ../include/nntp.h
proc.o: ../include/paths.h
proc.o: innd.h
rc.o: ../include/clibrary.h
rc.o: ../include/configdata.h
rc.o: ../include/configdata.h
rc.o: ../include/libinn.h
rc.o: ../include/logging.h
rc.o: ../include/macros.h
rc.o: ../include/macros.h
rc.o: ../include/nntp.h
rc.o: ../include/paths.h
rc.o: ../include/paths.h
rc.o: innd.h
site.o: ../include/clibrary.h
site.o: ../include/configdata.h
site.o: ../include/configdata.h
site.o: ../include/libinn.h
site.o: ../include/libinn.h
site.o: ../include/logging.h
site.o: ../include/macros.h
site.o: ../include/nntp.h
site.o: ../include/nntp.h
site.o: ../include/paths.h
site.o: innd.h
tcl.o: ../include/clibrary.h
tcl.o: ../include/configdata.h
tcl.o: ../include/configdata.h
tcl.o: ../include/libinn.h
tcl.o: ../include/logging.h
tcl.o: ../include/macros.h
tcl.o: ../include/macros.h
tcl.o: ../include/nntp.h
tcl.o: ../include/paths.h
tcl.o: ../include/paths.h
tcl.o: innd.h
