=== nnrpd/Makefile ===
##  $Revision: 1.22 $
SHELL	= /bin/sh
MAKE	= make
DESTDIR	=
D	= $(DESTDIR)
##  =()<P	= @<P>@>()=
P	= 

##  =()<CC	= @<CC>@>()=
CC	= gcc
##  =()<PERLLIB = @<PERL_LIB>@>()=
PERLLIB = 
##  =()<PERLINC = @<PERL_INC>@>()=
PERLINC = 
##  =()<DEFS	= @<DEFS>@ $(PERLINC)>()=
DEFS	= -I../include $(PERLINC)
##  =()<CFLAGS	= @<CFLAGS>@>()=
CFLAGS	= $(DEFS) -g
##  =()<LDFLAGS	= @<LDFLAGS>@>()=
LDFLAGS	= 
##  =()<LINTFLAGS	= @<LINTFLAGS>@>()=
LINTFLAGS	= -b -h -z $(DEFS)
##  =()<LINTFILTER	= @<LINTFILTER>@>()=
LINTFILTER	= | sed -n -f ../sedf.sun
##  =()<CTAGS		= @<CTAGS>@>()=
CTAGS		= ctags -t -w
##  =()<PROF	= @<PROF>@>()=
PROF	= -pg

##  =()<NNRPD	= @<_PATH_NNRPD>@>()=
NNRPD	= /usr/news/bin/nnrpd
## =()<OWNER	= -O @<NEWSUSER>@ -G @<NEWSGROUP>@>()=
OWNER	= -O news -G news

##  =()<LIBS	= @<LIBS>@>()=
LIBS	= -lutil
LIBNEWS	= ../libinn.a
LINTLIB	= ../llib-linn.ln

SOURCES	= \
	article.c group.c commands.c misc.c newnews.c nnrpd.c \
	perl.c post.c loadave.c

OBJECTS	= \
	article.o group.o commands.o misc.o newnews.o nnrpd.o \
	perl.o post.o loadave.o

ALL	= nnrpd

all:		$(ALL)

install:	$D$(NNRPD)

##  Low-level install actions.
$D$(NNRPD):	nnrpd
	$(SHELL) ../installit.sh $(OWNER) -m 0555 -b .OLD $? $@

clobber clean:
	rm -f *.o $(ALL)
	rm -f nnrpd nnrpdp profiled
	rm -f all install lint

tags ctags:	$(SOURCES)
	$(CTAGS) $(SOURCES) ../lib/*.c nnrpd.h ../include/*.h

nnrpd:		$(P) $(OBJECTS) $(LIBNEWS)
	@rm -f $@
	$(CC) $(LDFLAGS) -o $@ $(OBJECTS) $(LIBNEWS) $(LIBS) $(PERLLIB)

lint:		$(ALL)
	@rm -f lint
	-lint $(LINTFLAGS) $(SOURCES) $(LINTLIB) $(LINTFILTER) >lint

../include/dbz.h:
	(cd ../lib ; $(MAKE) ../include/dbz.h)
$(LIBNEWS) $(LINTLIB):
	(cd ../lib ; $(MAKE) install )

##  Profiling.  The rules are a bit brute-force, but good enough.
profiled:	nnrpdp
	date >$@

nnrpdp:		$(SOURCES)
	rm -f $(OBJECTS)
	$(MAKE) nnrpd CFLAGS="$(CFLAGS) $(PROF)" LIBNEWS=../libinn_p.a
	mv nnrpd nnrpdp
	rm -f $(OBJECTS)

ccenter:	$(SOURCES)
	#load $(CFLAGS) $(SOURCES) $(LIBNEWS)

##  Dependencies.  Default list, below, is probably good enough.
depend:		Makefile $(SOURCES)
	makedepend $(DEFS) $(SOURCES)

# DO NOT DELETE THIS LINE -- make depend depends on it.

article.o: ../include/clibrary.h
article.o: ../include/configdata.h
article.o: ../include/configdata.h
article.o: ../include/libinn.h
article.o: ../include/libinn.h
article.o: ../include/logging.h
article.o: ../include/macros.h
article.o: ../include/nntp.h
article.o: ../include/paths.h
article.o: ../include/paths.h
article.o: ../include/qio.h
article.o: nnrpd.h
commands.o: ../include/clibrary.h
commands.o: ../include/configdata.h
commands.o: ../include/configdata.h
commands.o: ../include/libinn.h
commands.o: ../include/libinn.h
commands.o: ../include/logging.h
commands.o: ../include/macros.h
commands.o: ../include/nntp.h
commands.o: ../include/paths.h
commands.o: ../include/paths.h
commands.o: ../include/qio.h
commands.o: nnrpd.h
group.o: ../include/clibrary.h
group.o: ../include/configdata.h
group.o: ../include/configdata.h
group.o: ../include/libinn.h
group.o: ../include/libinn.h
group.o: ../include/logging.h
group.o: ../include/macros.h
group.o: ../include/mydir.h
group.o: ../include/mydir.h
group.o: ../include/nntp.h
group.o: ../include/paths.h
group.o: ../include/paths.h
group.o: ../include/qio.h
group.o: nnrpd.h
loadave.o: ../include/clibrary.h
loadave.o: ../include/configdata.h
loadave.o: ../include/configdata.h
loadave.o: ../include/libinn.h
loadave.o: ../include/libinn.h
loadave.o: ../include/logging.h
loadave.o: ../include/macros.h
loadave.o: ../include/nntp.h
loadave.o: ../include/paths.h
loadave.o: ../include/paths.h
loadave.o: ../include/qio.h
loadave.o: nnrpd.h
misc.o: ../include/clibrary.h
misc.o: ../include/configdata.h
misc.o: ../include/configdata.h
misc.o: ../include/dbz.h
misc.o: ../include/dbz.h
misc.o: ../include/libinn.h
misc.o: ../include/libinn.h
misc.o: ../include/logging.h
misc.o: ../include/macros.h
misc.o: ../include/nntp.h
misc.o: ../include/paths.h
misc.o: ../include/paths.h
misc.o: ../include/qio.h
misc.o: nnrpd.h
newnews.o: ../include/clibrary.h
newnews.o: ../include/configdata.h
newnews.o: ../include/configdata.h
newnews.o: ../include/libinn.h
newnews.o: ../include/libinn.h
newnews.o: ../include/logging.h
newnews.o: ../include/macros.h
newnews.o: ../include/nntp.h
newnews.o: ../include/paths.h
newnews.o: ../include/paths.h
newnews.o: ../include/qio.h
newnews.o: nnrpd.h
nnrpd.o: ../include/clibrary.h
nnrpd.o: ../include/configdata.h
nnrpd.o: ../include/configdata.h
nnrpd.o: ../include/libinn.h
nnrpd.o: ../include/libinn.h
nnrpd.o: ../include/logging.h
nnrpd.o: ../include/macros.h
nnrpd.o: ../include/nntp.h
nnrpd.o: ../include/paths.h
nnrpd.o: ../include/paths.h
nnrpd.o: ../include/qio.h
nnrpd.o: nnrpd.h
perl.o: ../include/clibrary.h
perl.o: ../include/configdata.h
perl.o: ../include/configdata.h
perl.o: ../include/logging.h
perl.o: ../include/paths.h
perl.o: post.h
perl.o: post.h
post.o: ../include/clibrary.h
post.o: ../include/configdata.h
post.o: ../include/configdata.h
post.o: ../include/libinn.h
post.o: ../include/libinn.h
post.o: ../include/logging.h
post.o: ../include/macros.h
post.o: ../include/nntp.h
post.o: ../include/paths.h
post.o: ../include/paths.h
post.o: ../include/qio.h
post.o: nnrpd.h
post.o: post.h
