=== debian/changelog ===
inn (1:1.7.2q-50) unstable; urgency=medium

  * Updated patch parsedate_gcc4 with a missing prototype.
    (Closes: #1065795)

 -- Marco d'Itri <md@linux.it>  Sun, 10 Mar 2024 00:19:22 +0100

inn (1:1.7.2q-49) unstable; urgency=medium

  * Installed /etc/rsyslog.d/news.conf to provide the /var/log/news/news.*
    files, because rsyslog stopped providing these rules in 2016.
  * Updated inncheck accordingly to the actual permissions.
  * Restored hardening support, which was broken in version -47.

 -- Marco d'Itri <md@linux.it>  Fri, 05 Jan 2024 00:49:49 +0100

inn (1:1.7.2q-48) unstable; urgency=medium

  [ Niko Tyni ]
  * New patch fix_perl538: include the Perl headers before the INN ones
    because the definitions of the STRLEN macro conflict. (Closes: #1042017)

  [ Marco d'Itri ]
  * Added some systemd sandboxing.

 -- Marco d'Itri <md@linux.it>  Mon, 25 Sep 2023 00:34:52 +0200

inn (1:1.7.2q-47) unstable; urgency=medium

  * New patch check_setuid: make failures of setuid(2) and getuid(2)
    always be fatal.
  * Package converted to source format 3.0 (quilt) and to the dh sequencer.

 -- Marco d'Itri <md@linux.it>  Sun, 04 Dec 2022 23:38:39 +0100

inn (1:1.7.2q-46) unstable; urgency=medium

  * Suggest gnupg1 instead of gnupg.
  * Install pgpverify.8 reproducibly.

 -- Marco d'Itri <md@linux.it>  Sun, 17 Feb 2019 20:18:43 +0100

inn (1:1.7.2q-45) unstable; urgency=medium

  * Fixed a lot of compiler warnings, which should solve the NNTP
    streaming feed corruption experienced on 64 bit platforms since
    1.7.2q-41+b1. (Closes: #784115)
  * Switched to libsystemd-dev. (Closes: #779745)
  * Rebuilt with current Perl. (Closes: #836788)
  * Enabled --diff-ignore for recent versions of dpkg-source.

 -- Marco d'Itri <md@linux.it>  Thu, 29 Dec 2016 04:24:28 +0100

inn (1:1.7.2q-44.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply fix from gregor herrmann fixing FTBFS with newer pod2man
    (Closes: #787450)

 -- Dominic Hargreaves <dom@earth.li>  Thu, 20 Aug 2015 15:56:52 +0200

inn (1:1.7.2q-44) unstable; urgency=medium

  * inn.service: remove NoNewPrivileges=yes because it prevents innd
    from sending emails since postdrop is sgid.
  * inn.service: require network-online.target because innd will try to
    resolve the hostnames in hosts.nntp only once at startup.
  * prerm: stop the socket on removal.

 -- Marco d'Itri <md@linux.it>  Wed, 23 Jul 2014 23:44:38 +0200

inn (1:1.7.2q-43) unstable; urgency=medium

  * Build-Depend on pkg-config.
  * Do not log with LOG_CRIT normal shutdowns. (Closes: #10240)
  * Mention pan instead of trn in the description. (Closes: #691248)
  * Prevent fclose(NULL) on dbminit() failure. (Closes: #715994)

 -- Marco d'Itri <md@linux.it>  Sun, 11 May 2014 02:46:08 +0200

inn (1:1.7.2q-42) unstable; urgency=medium

  * Added systemd unit files and implemented socket activation.
  * Switched from /var/run/ to /run/.
  * Stopped using $[ in innreport.
  * Updated control.ctl and moderators.

 -- Marco d'Itri <md@linux.it>  Sat, 10 May 2014 22:25:01 +0200

inn (1:1.7.2q-41) unstable; urgency=low

  * Replaced innmail, which uses obsolete Perl features, with mailx.
  * config.data.debian: added support for dpkg-buildflags.
  * New patch fix_perl514: stops using perl4's getopts.pl. (Closes: #670751)
  * New patch siteinfo_format: fixes a format error.
  * Added a xunbatch program.

 -- Marco d'Itri <md@linux.it>  Fri, 29 Jun 2012 01:51:17 +0200

inn (1:1.7.2q-40) unstable; urgency=low

  * Stop using "sort +1n" in makehistory, because it is not supported
    anymore by the squeeze version of coreutils. (Closes: #612265)
  * Disable CHECK_INCLUDED_TEXT, we have perl filters to do this.
    (Closes: #573993)

 -- Marco d'Itri <md@linux.it>  Sat, 16 Apr 2011 02:41:34 +0200

inn (1:1.7.2q-39) unstable; urgency=low

  * Updated patch fix_perl510: backported from 2.x the changesets 7937, 7939
    and 8421. Thanks to Julien ÉLIE. (Closes: #541130)
  * Link again with libpthread the binaries embedding perl because
    binutils-gold correctly requires it. (Closes: #554920)
  * Made the old shell control message handlers use bash. (Closes: #530104)
  * Updated control.ctl.

 -- Marco d'Itri <md@linux.it>  Sat, 26 Dec 2009 02:48:13 +0100

inn (1:1.7.2q-38) unstable; urgency=medium

  * Backported fixes from 2.4:
    + New patch fix_ad_flag: honour the Ad newsfeeds flag.
    + Updated patch fix_perl510: use newSVpvn_share to create the article
      body SV much more efficiently.

 -- Marco d'Itri <md@linux.it>  Wed, 10 Sep 2008 02:07:47 +0200

inn (1:1.7.2q-37) unstable; urgency=medium

  * Clean up /var/lib/news/ in the purge target instead of the remove target.
    (Closes: #493824)

 -- Marco d'Itri <md@linux.it>  Thu, 28 Aug 2008 04:08:44 +0200

inn (1:1.7.2q-36) unstable; urgency=low

  * Fixed the malformed poison+remember_trash patch which confused the
    new dpkg. (Closes: #485368)
  * Updated patch 1_perl_filter_patch: added more headers.
  * Updated patch fix_perl510 with fixes/cleanups from 2.4.5 (and the
    INN::syslog callback).

 -- Marco d'Itri <md@linux.it>  Tue, 01 Jul 2008 02:29:46 +0200

inn (1:1.7.2q-35) unstable; urgency=high

  * Fixed a FTBFS Heisenbug. (Closes: #481867)

 -- Marco d'Itri <md@linux.it>  Tue, 20 May 2008 02:51:38 +0200

inn (1:1.7.2q-34) unstable; urgency=high

  * Packaging converted to quilt.
  * New patch fix_perl510: fixes segfaults with perl 5.10, hopefully
    without introducing new bugs. If you know about XS, please help!

 -- Marco d'Itri <md@linux.it>  Tue, 06 May 2008 12:56:04 +0200

inn (1:1.7.2debian-33) unstable; urgency=medium

  * Updated control.ctl.
  * Fixed the init script to create /var/run/innd/ instead of /var/run/news/.
  * New patch newsgroups_whitespace: ignore whitespace in Newsgroups headers
    instead of rejecting the article.
  * Sanitize the perl ccopts and ldopts to prevent linking nnrpd with -lm.
  * Updated patch man_sections: fix some ten years old syntax errors in

