=== debian/control ===
Source: inn
Section: news
Priority: optional
Maintainer: Marco d'Itri <md@linux.it>
Build-Depends: debhelper-compat (= 13),
 pkgconf, libsystemd-dev,
 bison, groff,
 libperl-dev
Standards-Version: 4.6.2.0
Rules-Requires-Root: binary-targets
Vcs-Git: https://salsa.debian.org/md/inn.git
Vcs-Browser: https://salsa.debian.org/md/inn

Package: inn
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, cron,
  default-mta | mail-transport-agent, bsd-mailx | mailx,
  time, perl, ${PERLAPI}
Suggests: gnupg1
Provides: news-transport-system, inews
Conflicts: inn2, inn2-inews, inn2-dev, inewsinn, news-transport-system
Replaces: inewsinn
Description: News transport system `InterNetNews' by the ISC and Rich Salz
 This is INN version 1.x, provided for smaller sites which do not need
 the complexity of INN 2.x.
 Large sites should use Debian's inn2 package instead.
 .
 The news transport is the part of the system that stores the articles
 and the lists of which groups are available and so on, and provides
 those articles on request to users.  It receives news (either posted
 locally or from a newsfeed site), files it, and passes it on to any
 downstream sites.  Each article is kept for a period of time and then
 deleted (this is known as `expiry').
 .
 By default Debian's INN will install in a fairly simple `local-only'
 configuration.
 .
 In order to make use of the services provided by INN you'll have to
 use a user-level newsreader program such as pan.  The newsreader is
 the program that fetches articles from the server and shows them to
 the user, remembering which the user has seen so that they don't get
 shown again.  It also provides the posting interface for the user.
